#!/bin/bash
# основной файл
IPT=`which iptables`
IPT_SAVE=`which iptables-save`

# путь к скриптам
SCR_PATH="/etc/iptables-scripts"

. $SCR_PATH/header

. $SCR_PATH/var_if
. $SCR_PATH/var_ip
. $SCR_PATH/var_net
. $SCR_PATH/var_iprange

. $SCR_PATH/policy_default
. $SCR_PATH/policy_local

. $SCR_PATH/rul_input
. $SCR_PATH/rul_output
. $SCR_PATH/rul_redirect
. $SCR_PATH/rul_forward
. $SCR_PATH/rul_snat
. $SCR_PATH/rul_dnat
. $SCR_PATH/rul_masq

$IPT_SAVE > /etc/sysconfig/iptables

exit 0
